Validate and calculate payroll
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/validateAndCalculatePayroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"payrollId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeData": [
{
"employeeId": "<string>",
"employeeName": "<string>",
"totalCompensation": 123,
"totalDeduction": 123,
"currency": "<string>",
"id": "<string>",
"stableCoinPercentage": 123,
"minimumWage": 123
}
],
"isCSVUploaded": true
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/validateAndCalculatePayroll"
payload = {
"payrollId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeData": [
{
"employeeId": "<string>",
"employeeName": "<string>",
"totalCompensation": 123,
"totalDeduction": 123,
"currency": "<string>",
"id": "<string>",
"stableCoinPercentage": 123,
"minimumWage": 123
}
],
"isCSVUploaded": True
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payrollId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
employeeData: [
{
employeeId: '<string>',
employeeName: '<string>',
totalCompensation: 123,
totalDeduction: 123,
currency: '<string>',
id: '<string>',
stableCoinPercentage: 123,
minimumWage: 123
}
],
isCSVUploaded: true
})
};
fetch('https://app.toku.com/api/tokuApi/v1/validateAndCalculatePayroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"validatedEmployeeData": [
{
"id": "<string>",
"employeeId": "<string>",
"employeeName": "<string>",
"totalCompensation": 123,
"totalDeduction": 123,
"currency": "<string>",
"stableCoinPercentage": 123,
"netPayFiat": 123,
"netPayStableCoin": 123,
"hasTGAProfile": true,
"hasValidWallet": true,
"hasPayrollError": true,
"hasMinimumWageError": true
}
],
"error": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Validate and Calculate Payroll
Validates employee payroll rows and returns calculated payroll breakdown data.
POST
/
validateAndCalculatePayroll
Validate and calculate payroll
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
⌘I
